Subject: Re: Bisected Regression 4.3.5 => 4.4.1 booting HP ZBook in EFI mode

From: Greg Kroah-Hartman <[email-masked]>
Date: Fri, 5 Feb 2016 14:29:36 -0800

On Fri, Feb 05, 2016 at 04:48:52PM -0500, Phil Turmel wrote:
> Hello all,
> 
> I tried to get off of v4.3.x today by moving to v4.4.1.
> My laptop failed to boot -- stuck with the BIOS boot logo still
> showing.  I'm direct-booting a merged kernel & initramfs in
> EFI mode.
> 
> I bisected to badc688 "powerpc: Make {cmp}xchg* and their atomic_ versions fully ordered"
> which is upstream commit 81d7a329.
> 
> I'm stumped as to how that powerpc patch can affect my x86 laptop, an
> HP ZBook 17 w/ i7 processor & nouveau graphics, but it certainly
> does.  The bisect was stable and I confirmed by reverting it on
> top of the intended v4.4.1.

That's crazy, nothing should even be rebuilt if you revert that patch,
so I don't see how that could affect things here.

Can you verify that nothing does get rebuilt when you do this?

thanks,

greg k-h